#include "mbed.h" 
    
#ifndef know_H
#define know_H

    #define  TSK_MAX_LEN    50
    #define  DAT_MAX_LEN    50
    
    #define  UART1_TX   PA_9                                    //MCU TX1
    #define  UART1_RX   PA_10                                   //MCU RX1
    #define  UART2_TX   PA_2                                    //MCU TX2
    #define  UART2_RX   PA_3                                    //MCU RX2
    #define  UART3_TX   PB_10                                   //BC95 RXPA_11
    #define  UART3_RX   PB_11                                    //BC95 TXPA_12
    
    #define  SECOND_T0  PB_13                                   //输出驱动马达-秒针
    #define  SECOND_T1  PB_12                                   //输出驱动马达-秒针
    #define  MINITUE_T0 PB_15                                   //输出驱动马达-分针
    #define  MINITUE_T1 PB_14                                   //输出驱动马达-分针
    
    #define  JCVIN      PA_4                                    //马达检测输入
    #define  JCOUT_SE   PA_5                                    //马达秒针检测输出
    #define  JCOUT_MI   PA_6                                    //马达分针检测输出

    #define  BATAD      PA_7                                    //batteryAD 电量采集
    #define  POW        PA_8                                    //bc95 电源
    #define  RESET      PB_9                                    //BC95 复位
    
    #define  LED1       PB_0                                    //LED1
    #define  LED2       PB_1                                    //LED2
    
    class know
    {
        public:
            static char task[20][TSK_MAX_LEN];                       //任务编址
            static char polSta[100];                                //状态池
            static char polDat[10][DAT_MAX_LEN];                     //数据池
          
            static Serial uart1;
            static Serial uart2;
            static Serial uart3;
           
            static DigitalOut MotS0;                      
            static DigitalOut MotS1; 
            static DigitalOut MotM0;
            static DigitalOut MotM1;
            
            static DigitalOut TestO_S; 
            static DigitalOut TestO_M; 
            static InterruptIn TestIn;                     
            
            static AnalogIn batAD;
            static DigitalOut pow;                           
            static DigitalOut reset;

            static DigitalOut led1; 
            static DigitalOut led2; 

            static Ticker time1;                        //定时器1 
            static Ticker time2;                        //定时器2
            static Ticker time3;                        //定时器3
    };

    class knowAct
    {
        public:
            static void buildtsk(void);                 //
    };

#endif
